Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.util
Class ProgressWriter

    java.lang.Object
      ifs.util.ProgressWriter

All Implemented Interfaces:
  ProgressListener

    public class ProgressWriter

extends Object
implements ProgressListener

Prints current progres to `PrintStream`.
Example usage:

`Progress.getInstance().addProgressListener(new ProgressWriter(System.out));
`

Example output:

`Reading course.pl ... :
Reading altcourse.pl ... :
Reading room.pl ... :
Creating rooms ... : ................................................
Creating variables ... : ................................................
Reading students.pl ... :
Reading jenr.pl ... :
Creating jenrl constraints .: ................................................
Reading add.pl ... :
Creating group constraints .: ................................................
Creating initial assignment : ................................................
Creating dept. spread constr: ................................................
Input data loaded : ................................................
Initializing solver :
Searching for initial soluti: ................................................
Improving found solution ...: ................................................
Improving found solution ...: ................................................
Improving found solution ...: ...................................`

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`ProgressWriter(PrintStream out)`

Method Summary
`void` | `phaseChanged(String phase)` Progress phase is changed
`void` | `progressChanged(long currentProgress, long maxProgress)` Progress bar is changed
`void` | `progressRestored()` Progress is restored
`void` | `progressSaved()` Progress is saved
`void` | `statusChanged(String status)` Progress status is changed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressWriter

    public ProgressWriter(PrintStream out)

Method Detail

### statusChanged

    public void statusChanged(String status)

  Description copied from interface: `ProgressListener`
  Progress status is changed

  Specified by:
    `statusChanged` in interface `ProgressListener`
  Parameters:
    `status` - current status name

### phaseChanged

    public void phaseChanged(String phase)

  Description copied from interface: `ProgressListener`
  Progress phase is changed

  Specified by:
    `phaseChanged` in interface `ProgressListener`
  Parameters:
    `phase` - current phase name

### progressChanged

    public void progressChanged(long currentProgress,
                                long maxProgress)

  Description copied from interface: `ProgressListener`
  Progress bar is changed

  Specified by:
    `progressChanged` in interface `ProgressListener`
  Parameters:
    `currentProgress` - current progress
    `maxProgress` - maximum progress in this phase

### progressSaved

    public void progressSaved()

  Description copied from interface: `ProgressListener`
  Progress is saved

  Specified by:
    `progressSaved` in interface `ProgressListener`

### progressRestored

    public void progressRestored()

  Description copied from interface: `ProgressListener`
  Progress is restored

  Specified by:
    `progressRestored` in interface `ProgressListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller